package com.cool.store.enums;

/**
 * @author hxd
 */

public enum TrajectoryTypeEnum {

    /**
     * 联系轨迹类型*
     */
    SEND_NOTE(1001, "发送短信",""),
    DIAL_MOBILE(1002, "拨打对方电话",""),
    WEBSITE_CUSTOMER_MOBILE(1003, "网站客服会话",""),
    EC_SESSION(1004, "EC会话",""),
    QQ_SESSION(1005, "QQ会话",""),
    SEND_EMAIL(1006, "发送邮件",""),
    ANSWER_MOBILE(1007, "接听对方电话",""),
    ANSWER_EMAIL(1008, "接收邮件",""),
    CALL_MEETING(1009, "电话会议",""),
    DIAL_CLOUD_MOBILE(1010, "拨打云总机电话",""),
    ANSWER_CLOUD_MOBILE(1011, "接听云总机电话",""),

    /**
     * 提醒类
     */
    REGULARLY_REMIND(2001, "定时提醒",""),
    REMINDER_SALES_PROGRAM(2002, "提醒销售计划",""),
    CALENDAR_REMINDER(2003, "日历提醒",""),




    /**
     * 文本类型
     */
    ADD_CUSTOMER(3001, "新增客户",""),
    ADD_CUSTOMER_DATA(3002, "新增客户资料",""),
    UPDATE_CUSTOMER_DATA(3003, "更新客户资料",""),
    UPDATE_CUSTOMER_LABEL(3004, "更新客户标签",""),
    RELEVANCE_EC(3005, "关联EC",""),
    CANCEL_RELEVANCE_EC(3006, "取消EC关联",""),
    RELEVANCE_QQ(3007, "关联QQ",""),
    CANCEL_RELEVANCE_QQ(3008, "取消QQ关联",""),
    TRANSFER_CUSTOMER(3009, "转让客户","将此客户转换了给"),
    MERGE_CUSTOMER(3010, "合并客户",""),
    ALLOCATION_CUSTOMER(3011, "分配客户","分配此客户给"),
    GET_CUSTOMER(3012, "领取客户","领取了此客户"),
    ABANDON_CUSTOMER(3013, "放弃客户",""),
    ADD_MARKER_PLAN(3014, "添加销售计划",""),
    UPDATE_MARKER_PLAN(3015, "修改销售计划",""),
    USE_MARKER_TEMPLATE(3016, "使用销售模板",""),
    UPDATE_CUSTOMER_STAGE(3017, "更新客户阶段",""),
    RELEVANCE_COMPANY(3018, "关联公司",""),
    CANCEL_RELEVANCE_COMPANY(3019, "取消公司关联",""),
    UPLOAD_PHOTO_AVATAR(3020, "上传头像",""),
    ADD_SHARE_COLLEAGUE(3021, "新增共享同事",""),
    CANCEL_SHARE_COLLEAGUE(3022, "取消共享同事",""),
    CANCEL_RELEVANCE(3023, "退出共享关系",""),
    TRANSFER_COMPANY_IMPORT(3024, "转为公司导入",""),
    ADD_CONTACT_DATA(3036, "新增联系人资料",""),
    UPDATE_CONTACT_DATA(3037, "更新联系人资料",""),
    ADD_CONTACT(3038, "新增联系人",""),
    DELETE_CONTACT(3039, "删除联系人",""),
    DELETE_ORDERS(3040, "删除订单",""),
    DELETE_CUSTOMER(3041, "删除客户",""),
    TRANSFER_CUSTOMER_TYPE(3042, "转换客户类型",""),

    /**
     * 跟进记录类
     */
    ADD_FOLLOW_RECORD(4000, "添加跟进记录",""),

    /**
     * 微信类
     */
    WECHAT_ACTIVITY(6000, "微信活动",""),
    /**
     * 拜访客户类
     */
    VISITING_CLIENTS(7000, "拜访客户类","");


    private final Integer value;
    private final String showText;
    private final String jointText;

    TrajectoryTypeEnum(Integer value, String showText,String jointText) {
        this.value = value;
        this.showText = showText;
        this.jointText = jointText;
    }

    public Integer getValue() {
        return value;
    }

    public String getShowText() {
        return showText;
    }


    public String getJointText() {
        return jointText;
    }


    public static String getShowText(Integer value) {
        for (TrajectoryTypeEnum trajectoryTypeEnum : TrajectoryTypeEnum.values()) {
            if (trajectoryTypeEnum.getValue().equals(value)) {
                return trajectoryTypeEnum.getShowText();
            }
        }
        return "";
    }


    public static String getJointText(Integer value) {
        for (TrajectoryTypeEnum trajectoryTypeEnum : TrajectoryTypeEnum.values()) {
            if (trajectoryTypeEnum.getValue().equals(value)) {
                return trajectoryTypeEnum.getJointText();
            }
        }
        return "";
    }




}
